//
//  ViewController.swift
//  SignaturePad
//
//  Created by Jake Marsh on 8/4/15.
//  Copyright © 2015 Magnus. All rights reserved.
//

import UIKit
import jot
import CMDAwesomeButton

class SignatureViewController: UIViewController {
  var jotViewController: JotViewController?

  @IBOutlet weak var doneButton: CMDAwesomeButton!

  override func viewDidLoad() {
    super.viewDidLoad()

    jotViewController = JotViewController()
    addChildViewController(jotViewController!)

    view.insertSubview(jotViewController!.view, belowSubview: doneButton)
    jotViewController!.didMoveToParentViewController(self)
    jotViewController!.view.frame = view.frame
    
    jotViewController!.drawingColor = UIColor.blackColor()
    jotViewController!.state = .Drawing
    
    doneButton.setBackgroundColor(UIColor.blackColor(), forState: .Normal)
    doneButton.setTitleColor(UIColor.whiteColor(), forState: .Normal)
    doneButton.setCornerRadius(4.0, forState: .Normal)
  }

  @IBAction func doneTapped(sender: UIButton) {
    let signatureImage = jotViewController!.renderImageOnColor(UIColor.whiteColor())

    jotViewController!.clearAll()

    presentViewController(
      UIActivityViewController(
        activityItems: [signatureImage],
        applicationActivities: nil
      ),
      animated: true,
      completion: nil
    )
  }
}

